/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// UserIsNotConfirmed struct for UserIsNotConfirmed
type UserIsNotConfirmed struct {
	Kind *string `json:"kind,omitempty"`
}

// NewUserIsNotConfirmed instantiates a new UserIsNotConfirmed object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewUserIsNotConfirmed() *UserIsNotConfirmed {
	this := UserIsNotConfirmed{}
	var kind string = "userIsNotConfirmed"
	this.Kind = &kind
	return &this
}

// NewUserIsNotConfirmedWithDefaults instantiates a new UserIsNotConfirmed object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewUserIsNotConfirmedWithDefaults() *UserIsNotConfirmed {
	this := UserIsNotConfirmed{}
	var kind string = "userIsNotConfirmed"
	this.Kind = &kind
	return &this
}

// GetKind returns the Kind field value if set, zero value otherwise.
func (o *UserIsNotConfirmed) GetKind() string {
	if o == nil || o.Kind == nil {
		var ret string
		return ret
	}
	return *o.Kind
}

// GetKindOk returns a tuple with the Kind field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *UserIsNotConfirmed) GetKindOk() (*string, bool) {
	if o == nil || o.Kind == nil {
		return nil, false
	}
	return o.Kind, true
}

// HasKind returns a boolean if a field has been set.
func (o *UserIsNotConfirmed) HasKind() bool {
	if o != nil && o.Kind != nil {
		return true
	}

	return false
}

// SetKind gets a reference to the given string and assigns it to the Kind field.
func (o *UserIsNotConfirmed) SetKind(v string) {
	o.Kind = &v
}

func (o UserIsNotConfirmed) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Kind != nil {
		toSerialize["kind"] = o.Kind
	}
	return json.Marshal(toSerialize)
}

type NullableUserIsNotConfirmed struct {
	value *UserIsNotConfirmed
	isSet bool
}

func (v NullableUserIsNotConfirmed) Get() *UserIsNotConfirmed {
	return v.value
}

func (v *NullableUserIsNotConfirmed) Set(val *UserIsNotConfirmed) {
	v.value = val
	v.isSet = true
}

func (v NullableUserIsNotConfirmed) IsSet() bool {
	return v.isSet
}

func (v *NullableUserIsNotConfirmed) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableUserIsNotConfirmed(val *UserIsNotConfirmed) *NullableUserIsNotConfirmed {
	return &NullableUserIsNotConfirmed{value: val, isSet: true}
}

func (v NullableUserIsNotConfirmed) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableUserIsNotConfirmed) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


